#
# spec file for package python-domdf-python-tools
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?sle15_python_module_pythons}
Name:           python-domdf-python-tools%{psuffix}
Version:        3.10.0
Release:        1.1
Summary:        Helpful functions for Python 🐍 🛠️
License:        MIT
URL:            https://github.com/domdfcoding/domdf_python_tools
Source:         https://github.com/domdfcoding/domdf_python_tools/archive/refs/tags/v%{version}.tar.gz#/domdf_python_tools-%{version}.tar.gz
BuildRequires:  %{python_module hatch-requirements-txt}
BuildRequires:  %{python_module pip}
BuildRequires:  python-rpm-macros
# SECTION test requirements
%if %{with test}
BuildRequires:  %{python_module Faker}
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module coincidence}
BuildRequires:  %{python_module domdf-python-tools = %{version}}
BuildRequires:  %{python_module funcy}
BuildRequires:  %{python_module pytest-timeout}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module testsuite}
%endif
# /SECTION
BuildRequires:  fdupes
Requires:       python-natsort >= 7.0.1
Requires:       python-typing-extensions >= 3.7.4.1
Suggests:       python-pytz >= 2019.1
BuildArch:      noarch
%python_subpackages

%description
Helpful functions for Python 🐍 🛠️

%prep
%autosetup -p1 -n domdf_python_tools-%{version}

%build
%pyproject_wheel

%install
%if !%{with test}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%check
%if %{with test}
# Broken upstream
%pytest -k 'not (test_discover_entry_points or test_iter_submodules)'
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/domdf_python_tools
%{python_sitelib}/domdf_python_tools-%{version}.dist-info
%endif

%changelog
* Tue May 13 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 3.10.0:
  * Switch build backend to hatch.
* Mon Sep 23 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Jul 26 2024 Steve Kowalik <steven.kowalik@suse.com>
- Initial release of 3.9.0
